Bug 86142 - webkit fails IETC namespaces/syntax-021.xml
Summary: webkit fails IETC namespaces/syntax-021.xml
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ms2ger
URL: http://samples.msdn.microsoft.com/iet...
Keywords: InRadar
Depends on: 175068
Blocks: 76198
  Show dependency treegraph
 
Reported: 2012-05-10 14:06 PDT by Dave Tharp
Modified: 2017-08-02 10:50 PDT (History)
17 users (show)

See Also:


Attachments
Patch (7.36 KB, patch)
2012-05-17 05:07 PDT, Takashi Sakamoto
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-02 (545.35 KB, application/zip)
2012-05-17 05:46 PDT, WebKit Review Bot
no flags Details
Patch (11.67 KB, patch)
2012-06-06 23:47 PDT, Takashi Sakamoto
no flags Details | Formatted Diff | Diff
Patch (11.70 KB, patch)
2012-06-07 00:11 PDT, Takashi Sakamoto
no flags Details | Formatted Diff | Diff
Patch (11.95 KB, patch)
2012-08-01 01:08 PDT, Takashi Sakamoto
no flags Details | Formatted Diff | Diff
Patch (1.66 KB, patch)
2017-07-31 08:01 PDT, Ms2ger
no flags Details | Formatted Diff | Diff
Patch (4.16 KB, patch)
2017-08-01 01:52 PDT, Ms2ger
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Tharp 2012-05-10 14:06:31 PDT
Filler text has a red background. Expected green.
Comment 1 Takashi Sakamoto 2012-05-17 05:07:29 PDT
Created attachment 142454 [details]
Patch
Comment 2 WebKit Review Bot 2012-05-17 05:46:25 PDT
Comment on attachment 142454 [details]
Patch

Attachment 142454 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12715585

New failing tests:
fast/dom/SelectorAPI/not-supported-namespace-in-selector.html
fast/dom/shadow/content-selector-query.html
fast/css/css-selector-text.html
fast/css/css-set-selector-text.html
Comment 3 WebKit Review Bot 2012-05-17 05:46:36 PDT
Created attachment 142458 [details]
Archive of layout-test-results from ec2-cr-linux-02

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-02  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 4 Hajime Morrita 2012-05-22 19:07:38 PDT
Comment on attachment 142454 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=142454&action=review

> LayoutTests/platform/chromium/test_expectations.txt:3618
> +BUGWK86142 : ietestcenter/css3/namespaces/syntax-021.xml = PASS IMAGE

"PASS" is used to mark it flaky.

In this case, you can just add comment that this can be rebaselined then ask someone to rebaseline this.
Comment 5 Takashi Sakamoto 2012-06-06 23:47:00 PDT
Created attachment 146210 [details]
Patch
Comment 6 Takashi Sakamoto 2012-06-07 00:11:58 PDT
Created attachment 146214 [details]
Patch
Comment 7 Takashi Sakamoto 2012-06-07 00:16:16 PDT
(In reply to comment #4)
> (From update of attachment 142454 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=142454&action=review
> 
> > LayoutTests/platform/chromium/test_expectations.txt:3618
> > +BUGWK86142 : ietestcenter/css3/namespaces/syntax-021.xml = PASS IMAGE
> 
> "PASS" is used to mark it flaky.
> 
> In this case, you can just add comment that this can be rebaselined then ask someone to rebaseline this.

I see.
As the test passes under chromium, I removed the line from LayoutTests/platform/chromium/TestExpectations.

Talking about fast/css/css-selector-text.html, I found that the test uses undeclared namespace prefix, i.e. n|a, n|*, [n|a], but n is not declared. So I updated the test. 

Best regards,
Takashi Sakamoto
Comment 8 Takashi Sakamoto 2012-08-01 01:08:37 PDT
Created attachment 155742 [details]
Patch
Comment 9 Dimitri Glazkov (Google) 2012-10-02 09:51:42 PDT
Comment on attachment 155742 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=155742&action=review

> Source/WebCore/css/CSSGrammar.y:1127
> +        if (p->isDeclaredNamespacePrefix($3)) {
> +            $$ = p->createFloatingSelector();
> +            $$->setAttribute(p->determineNameInNamespace($3, $4));

Kind of sad that we could end up calling determineNameSpace twice here (once in isDeclaredNamespacePrefix).
Comment 10 Anders Carlsson 2014-02-05 10:59:11 PST
Comment on attachment 155742 [details]
Patch

Clearing review flag on patches from before 2014. If this patch is still relevant, please reset the r? flag.
Comment 11 Ms2ger 2017-07-31 08:01:44 PDT
Created attachment 316781 [details]
Patch
Comment 12 Chris Dumez 2017-07-31 10:33:53 PDT
Comment on attachment 316781 [details]
Patch

You don't need review for such change but r=me
Comment 13 Alexey Proskuryakov 2017-07-31 10:36:50 PDT
Comment on attachment 316781 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=316781&action=review

> LayoutTests/ChangeLog:12
> +        * platform/gtk/TestExpectations:

We have this expectation on multiple platforms:

$ find-expectations syntax-021.xml
LayoutTests/platform/gtk/TestExpectations:2622:webkit.org/b/86142 ietestcenter/css3/namespaces/syntax-021.xml [ ImageOnlyFailure ]
LayoutTests/platform/ios-simulator/TestExpectations:58:ietestcenter/css3/namespaces/syntax-021.xml [ ImageOnlyFailure ]
LayoutTests/platform/mac/TestExpectations:543:webkit.org/b/86142 ietestcenter/css3/namespaces/syntax-021.xml [ ImageOnlyFailure ]
LayoutTests/platform/win/TestExpectations:2018:ietestcenter/css3/namespaces/syntax-021.xml [ ImageOnlyFailure ]
Comment 14 Ms2ger 2017-08-01 01:52:43 PDT
Created attachment 316837 [details]
Patch
Comment 15 Build Bot 2017-08-01 01:55:19 PDT
Attachment 316837 [details] did not pass style-queue:


ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/win/TestExpectations:3344:  More specific entry for accessibility/heading-crash-after-hidden.html on line LayoutTests/platform/win/TestExpectations:3344 overrides line LayoutTests/platform/win/TestExpectations:1349.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/win/TestExpectations:4005:  More specific entry for http/tests/websocket/tests/hybi/workers/close-code-and-reason.html on line LayoutTests/platform/win/TestExpectations:4005 overrides line LayoutTests/platform/win/TestExpectations:2158.  [test/expectations] [5]
Total errors found: 2 in 1 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 16 WebKit Commit Bot 2017-08-01 09:14:14 PDT
Comment on attachment 316837 [details]
Patch

Rejecting attachment 316837 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 316837, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
den.html on line LayoutTests/platform/win/TestExpectations:3344 overrides line LayoutTests/platform/win/TestExpectations:1349.  [test/expectations] [5]
ERROR: /Volumes/Data/EWS/WebKit/LayoutTests/platform/win/TestExpectations:4005:  More specific entry for http/tests/websocket/tests/hybi/workers/close-code-and-reason.html on line LayoutTests/platform/win/TestExpectations:4005 overrides line LayoutTests/platform/win/TestExpectations:2158.  [test/expectations] [5]
Total errors found: 2 in 0 files

Full output: http://webkit-queues.webkit.org/results/4234479
Comment 17 Alexey Proskuryakov 2017-08-01 10:33:46 PDT
The commit queue failure is clearly wrong, and a regression from running the linter. But also, I'm not sure why it runs the style checker at all in the first place.
Comment 18 WebKit Commit Bot 2017-08-02 10:03:51 PDT
Comment on attachment 316837 [details]
Patch

Clearing flags on attachment: 316837

Committed r220132: <http://trac.webkit.org/changeset/220132>
Comment 19 WebKit Commit Bot 2017-08-02 10:03:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 20 Radar WebKit Bug Importer 2017-08-02 10:04:16 PDT
<rdar://problem/33678898>
Comment 21 Jonathan Bedard 2017-08-02 10:45:25 PDT
Alexey is right, this is a bug in the style checker, tracked here: <https://bugs.webkit.org/show_bug.cgi?id=175078>.